Package io.papermc.paper.event.block

# Class BellRevealRaiderEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
io.papermc.paper.event.block.BellRevealRaiderEvent

All Implemented Interfaces:
  `Cancellable`

public class BellRevealRaiderEvent extends BlockEvent implements Cancellable
Called when a `Raider` is revealed by a bell.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BellRevealRaiderEvent(@NotNull Block theBlock, @NotNull Entity raider)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Raider`
`getEntity()`
Gets the raider that the bell revealed.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BellRevealRaiderEvent

public BellRevealRaiderEvent(@NotNull @NotNull Block theBlock, @NotNull @NotNull Entity raider)

## Method Details

### getEntity

@NotNull public @NotNull Raider getEntity()
Gets the raider that the bell revealed.

Returns:
  The raider

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

This does not cancel the particle effects shown on the bell, only the entity.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()